<!DOCTYPE html>
<html lang="fi">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css"href="./css/gral.css">
        <link rel="stylesheet" type="text/css"href="./css/contact.css">
        <link rel="stylesheet" type="text/css"href="./css/contact2.css">
        <link href="https://fonts.googleapis.com/css?family=Great+Vibes|Lemonada&display=swap" rel="stylesheet">
        <title>Taitava tonttu - Yhteystiedot</title>
    </head>
    <body>
        <header>
                <% if (user) { %>
                    <% include inMenu.ejs %>
                <% } else { %>
                    <% include outMenu.ejs %>
                <% } %>
        </header>
        <main>
            <div class="contact">
                <h2>Yhteystiedot</h2>
                <div class="contactImg">
                    <div class="contactBox">
                        <h5>Meidän osoite:</h5>
                        <p>Joulunkatu 1</p>
                        <p>90000 Oulu</p>
                        <img src="../images/61774-1.jpg" alt="mökkiImg">
                    </div>
                    <div class="contactBox">
                        <h5>Puhelinnumero:</h5>
                        <p>040123456</p>
                        <br>
                        <h5>E-mail:</h5>
                        <p>tonttu@taitavatonttu.fi</p>
                    </div>
                </div>
            </div>
            <div class="feedback">
                <h2>Palaute</h2>
                <div class="feedback_form">
                    <h3>Lähetä meille palautteesi!</h3>
                    <form action="/contact/sendFb" method="POST">
                        <div class="fb1">
                            <h5>Nimi:</h5>
                            <input type="text" name="name" id="name"
                            required oninvalid="this.setCustomValidity('Lisää nimesi tähän.')"
                            oninput="this.setCustomValidity('')" /> 
                        </div>
                        <div class="fb2">
                            <h5>Viesti:</h5>
                            <textarea name="message" rows="7" cols="45"
                            required oninvalid="this.setCustomValidity('Kirjoita viestisi tähän.')"
                            oninput="this.setCustomValidity('')" ></textarea>
                        </div>
                        <div class="fb3">
                            <input type="submit" id="send" value="Lähettää">
                        </div>
                    </form>
                </div>
                <div class="banner"></div>
                <div class="feedback_reviews">
                    <h3>Täällä on palautteita asiakkailtamme.</h3>
                    <div class="revRow">
                        <% for (let i = 0; i < fb.length; i++) { %>
                            <div class="revBox">
                                <h4><%= fb[i].name %></h4>
                                <p><%= fb[i].message %></p>
                            </div>
                        <% } %>
                    </div>
                </div>
            </div>
        </main>
    </body>
</html>